Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmdb/dbconfig.c File Reference

More...

`#include "system.h"`
`#include <db3/db.h>`
`#include <rpmlib.h>`
`#include <rpmmacro.h>`
`#include "rpmdb.h"`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures

struct | dbOption

## Defines

#define | __USE_DB3 1

## Functions

int | dbSaveLong (struct dbOption *opt, int argInfo, long aLong)
int | dbSaveInt (struct dbOption *opt, int argInfo, long aLong)
dbiIndex | db3Free (dbiIndex dbi)
dbiIndex | db3New (rpmdb rpmdb, int rpmtag)
char * | prDbiOpenFlags (int dbflags, int print_dbenv_flags)

## Variables

_dbiIndex | db3dbi
dbOption | rdbOptions []
char * | db3_config_default

## Detailed Description

Definition in file dbconfig.c.

## Define Documentation

#define __USE_DB3 1

| Definition at line 31 of file dbconfig.c.

## Function Documentation

int dbSaveInt | ( | struct dbOption * | opt,
|  | int | argInfo,
|  | long | aLong
| ) | `[static]`

| Definition at line 290 of file dbconfig.c. Referenced by db3New.

int dbSaveLong | ( | struct dbOption * | opt,
|  | int | argInfo,
|  | long | aLong
| ) | `[static]`

| Definition at line 264 of file dbconfig.c. Referenced by db3New.

## Variable Documentation

char* db3_config_default`[static]`

Initial value:

        "db3:hash:mpool:cdb:usecursors:verbose:mp_mmapsize=8Mb:mp_size=512Kb:pagesize=512:perms=0644"

Todo:
  Set a reasonable "last gasp" default db config.

Definition at line 334 of file dbconfig.c.

Referenced by db3New.

struct _dbiIndex db3dbi

| Definition at line 35 of file dbconfig.c.